MagickWand: drawing-wand.h File Reference

# drawing-wand.h File Reference

`#include "wand/pixel-wand.h"`

Go to the source code of this file.

## Typedefs
typedef struct _DrawingWand | DrawingWand
## Functions
WandExport AlignType | DrawGetTextAlignment (const DrawingWand *)
WandExport char * | DrawGetClipPath (const DrawingWand *)
WandExport char ** | DrawGetException (const DrawingWand *, ExceptionType *)
WandExport char *** | DrawGetFont (const DrawingWand *)
WandExport char **** | DrawGetFontFamily (const DrawingWand *)
WandExport char ***** | DrawGetTextEncoding (const DrawingWand *)
WandExport char ****** | DrawGetVectorGraphics (DrawingWand *)
WandExport ClipPathUnits | DrawGetClipUnits (const DrawingWand *)
WandExport DecorationType | DrawGetTextDecoration (const DrawingWand *)
WandExport double | DrawGetFillOpacity (const DrawingWand *)
WandExport double | DrawGetFontSize (const DrawingWand *)
WandExport double * | DrawGetStrokeDashArray (const DrawingWand *, unsigned long *)
WandExport double * | DrawGetStrokeDashOffset (const DrawingWand *)
WandExport double * | DrawGetStrokeOpacity (const DrawingWand *)
WandExport double * | DrawGetStrokeWidth (const DrawingWand *)
WandExport DrawInfo * | PeekDrawingWand (const DrawingWand *)
WandExport DrawingWand * | CloneDrawingWand (const DrawingWand *)
WandExport DrawingWand ** | DestroyDrawingWand (DrawingWand *)
WandExport DrawingWand *** | DrawAllocateWand (const DrawInfo *, Image *)
WandExport DrawingWand **** | NewDrawingWand (void)
WandExport ExceptionType | DrawGetExceptionType (const DrawingWand *)
WandExport FillRule | DrawGetClipRule (const DrawingWand *)
WandExport FillRule | DrawGetFillRule (const DrawingWand *)
WandExport GravityType | DrawGetGravity (const DrawingWand *)
WandExport LineCap | DrawGetStrokeLineCap (const DrawingWand *)
WandExport LineJoin | DrawGetStrokeLineJoin (const DrawingWand *)
WandExport MagickBooleanType | DrawClearException (DrawingWand *)
WandExport MagickBooleanType | DrawComposite (DrawingWand *, const CompositeOperator, const double, const double, const double, const double, MagickWand *)
WandExport MagickBooleanType | DrawGetStrokeAntialias (const DrawingWand *)
WandExport MagickBooleanType | DrawGetTextAntialias (const DrawingWand *)
WandExport MagickBooleanType | DrawPopPattern (DrawingWand *)
WandExport MagickBooleanType | DrawPushPattern (DrawingWand *, const char *, const double, const double, const double, const double)
WandExport MagickBooleanType | DrawRender (DrawingWand *)
WandExport MagickBooleanType | DrawSetClipPath (DrawingWand *, const char *)
WandExport MagickBooleanType | DrawSetFillPatternURL (DrawingWand *, const char *)
WandExport MagickBooleanType | DrawSetFont (DrawingWand *, const char *)
WandExport MagickBooleanType | DrawSetFontFamily (DrawingWand *, const char *)
WandExport MagickBooleanType | DrawSetStrokeDashArray (DrawingWand *, const unsigned long, const double *)
WandExport MagickBooleanType | DrawSetStrokePatternURL (DrawingWand *, const char *)
WandExport MagickBooleanType | DrawSetVectorGraphics (DrawingWand *, const char *)
WandExport MagickBooleanType | IsDrawingWand (const DrawingWand *)
WandExport MagickBooleanType | PopDrawingWand (DrawingWand *)
WandExport MagickBooleanType | PushDrawingWand (DrawingWand *)
WandExport StretchType | DrawGetFontStretch (const DrawingWand *)
WandExport StyleType | DrawGetFontStyle (const DrawingWand *)
WandExport unsigned long | DrawGetFontWeight (const DrawingWand *)
WandExport unsigned long | DrawGetStrokeMiterLimit (const DrawingWand *)
WandExport void | ClearDrawingWand (DrawingWand *)
WandExport void | DrawAffine (DrawingWand *, const AffineMatrix *)
WandExport void | DrawAnnotation (DrawingWand *, const double, const double, const unsigned char *)
WandExport void | DrawArc (DrawingWand *, const double, const double, const double, const double, const double, const double)
WandExport void | DrawBezier (DrawingWand *, const unsigned long, const PointInfo *)
WandExport void | DrawCircle (DrawingWand *, const double, const double, const double, const double)
WandExport void | DrawColor (DrawingWand *, const double, const double, const PaintMethod)
WandExport void | DrawComment (DrawingWand *, const char *)
WandExport void | DrawEllipse (DrawingWand *, const double, const double, const double, const double, const double, const double)
WandExport void | DrawGetFillColor (const DrawingWand *, PixelWand *)
WandExport void | DrawGetStrokeColor (const DrawingWand *, PixelWand *)
WandExport void | DrawGetTextUnderColor (const DrawingWand *, PixelWand *)
WandExport void | DrawLine (DrawingWand *, const double, const double, const double, const double)
WandExport void | DrawMatte (DrawingWand *, const double, const double, const PaintMethod)
WandExport void | DrawPathClose (DrawingWand *)
WandExport void | DrawPathCurveToAbsolute (DrawingWand *, const double, const double, const double, const double, const double, const double)
WandExport void | DrawPathCurveToRelative (DrawingWand *, const double, const double, const double, const double, const double, const double)
WandExport void | DrawPathCurveToQuadraticBezierAbsolute (DrawingWand *, const double, const double, const double, const double)
WandExport void | DrawPathCurveToQuadraticBezierRelative (DrawingWand *, const double, const double, const double, const double)
WandExport void | DrawPathCurveToQuadraticBezierSmoothAbsolute (DrawingWand *, const double, const double)
WandExport void | DrawPathCurveToQuadraticBezierSmoothRelative (DrawingWand *, const double, const double)
WandExport void | DrawPathCurveToSmoothAbsolute (DrawingWand *, const double, const double, const double, const double)
WandExport void | DrawPathCurveToSmoothRelative (DrawingWand *, const double, const double, const double, const double)
WandExport void | DrawPathEllipticArcAbsolute (DrawingWand *, const double, const double, const double, const MagickBooleanType, const MagickBooleanType, const double, const double)
WandExport void | DrawPathEllipticArcRelative (DrawingWand *, const double, const double, const double, const MagickBooleanType, const MagickBooleanType, const double, const double)
WandExport void | DrawPathFinish (DrawingWand *)
WandExport void | DrawPathLineToAbsolute (DrawingWand *, const double, const double)
WandExport void | DrawPathLineToRelative (DrawingWand *, const double, const double)
WandExport void | DrawPathLineToHorizontalAbsolute (DrawingWand *, const double)
WandExport void | DrawPathLineToHorizontalRelative (DrawingWand *, const double)
WandExport void | DrawPathLineToVerticalAbsolute (DrawingWand *, const double)
WandExport void | DrawPathLineToVerticalRelative (DrawingWand *, const double)
WandExport void | DrawPathMoveToAbsolute (DrawingWand *, const double, const double)
WandExport void | DrawPathMoveToRelative (DrawingWand *, const double, const double)
WandExport void | DrawPathStart (DrawingWand *)
WandExport void | DrawPoint (DrawingWand *, const double, const double)
WandExport void | DrawPolygon (DrawingWand *, const unsigned long, const PointInfo *)
WandExport void | DrawPolyline (DrawingWand *, const unsigned long, const PointInfo *)
WandExport void | DrawPopClipPath (DrawingWand *)
WandExport void | DrawPopDefs (DrawingWand *)
WandExport void | DrawPushClipPath (DrawingWand *, const char *)
WandExport void | DrawPushDefs (DrawingWand *)
WandExport void | DrawRectangle (DrawingWand *, const double, const double, const double, const double)
WandExport void | DrawResetVectorGraphics (DrawingWand *)
WandExport void | DrawRotate (DrawingWand *, const double)
WandExport void | DrawRoundRectangle (DrawingWand *, double, double, double, double, double, double)
WandExport void | DrawScale (DrawingWand *, const double, const double)
WandExport void | DrawSetClipRule (DrawingWand *, const FillRule)
WandExport void | DrawSetClipUnits (DrawingWand *, const ClipPathUnits)
WandExport void | DrawSetFillColor (DrawingWand *, const PixelWand *)
WandExport void | DrawSetFillOpacity (DrawingWand *, const double)
WandExport void | DrawSetFillRule (DrawingWand *, const FillRule)
WandExport void | DrawSetFontSize (DrawingWand *, const double)
WandExport void | DrawSetFontStretch (DrawingWand *, const StretchType)
WandExport void | DrawSetFontStyle (DrawingWand *, const StyleType)
WandExport void | DrawSetFontWeight (DrawingWand *, const unsigned long)
WandExport void | DrawSetGravity (DrawingWand *, const GravityType)
WandExport void | DrawSetStrokeAntialias (DrawingWand *, const MagickBooleanType)
WandExport void | DrawSetStrokeColor (DrawingWand *, const PixelWand *)
WandExport void | DrawSetStrokeDashOffset (DrawingWand *, const double dashoffset)
WandExport void | DrawSetStrokeLineCap (DrawingWand *, const LineCap)
WandExport void | DrawSetStrokeLineJoin (DrawingWand *, const LineJoin)
WandExport void | DrawSetStrokeMiterLimit (DrawingWand *, const unsigned long)
WandExport void | DrawSetStrokeOpacity (DrawingWand *, const double)
WandExport void | DrawSetStrokeWidth (DrawingWand *, const double)
WandExport void | DrawSetTextAlignment (DrawingWand *, const AlignType)
WandExport void | DrawSetTextAntialias (DrawingWand *, const MagickBooleanType)
WandExport void | DrawSetTextDecoration (DrawingWand *, const DecorationType)
WandExport void | DrawSetTextEncoding (DrawingWand *, const char *)
WandExport void | DrawSetTextUnderColor (DrawingWand *, const PixelWand *)
WandExport void | DrawSetViewbox (DrawingWand *, unsigned long, unsigned long, unsigned long, unsigned long)
WandExport void | DrawSkewX (DrawingWand *, const double)
WandExport void | DrawSkewY (DrawingWand *, const double)
WandExport void | DrawTranslate (DrawingWand *, const double, const double)

## Typedef Documentation

typedef struct _DrawingWand DrawingWand

## Function Documentation

WandExport void ClearDrawingWand | ( | DrawingWand * |  | ) |

WandExport DrawingWand* CloneDrawingWand | ( | const DrawingWand * |  | ) |

WandExport DrawingWand* * DestroyDrawingWand | ( | DrawingWand * |  | ) |

WandExport void DrawAffine | ( | DrawingWand * | ,
|  | const AffineMatrix * |  |
| ) |  |  |

WandExport DrawingWand* * * DrawAllocateWand | ( | const DrawInfo * | ,
|  | Image * |  |
| ) |  |  |

WandExport void DrawAnnotation | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const unsigned char * |  |
| ) |  |  |

WandExport void DrawArc | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawBezier | ( | DrawingWand * | ,
|  | const unsigned long | ,
|  | const PointInfo * |  |
| ) |  |  |

WandExport void DrawCircle | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport MagickBooleanType DrawClearException | ( | DrawingWand * |  | ) |

WandExport void DrawColor | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | PaintMethod |
| ) |  |  |

WandExport void DrawComment | ( | DrawingWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType DrawComposite | ( | DrawingWand * | ,
|  | const | CompositeOperator,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double,
|  | MagickWand * |  |
| ) |  |  |

WandExport void DrawEllipse | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport char* DrawGetClipPath | ( | const DrawingWand * |  | ) |

WandExport FillRule DrawGetClipRule | ( | const DrawingWand * |  | ) |

WandExport ClipPathUnits DrawGetClipUnits | ( | const DrawingWand * |  | ) |

WandExport char* * DrawGetException | ( | const DrawingWand * | ,
|  | ExceptionType * |  |
| ) |  |  |

WandExport ExceptionType DrawGetExceptionType | ( | const DrawingWand * |  | ) |

WandExport void DrawGetFillColor | ( | const DrawingWand * | ,
|  | PixelWand * |  |
| ) |  |  |

WandExport double DrawGetFillOpacity | ( | const DrawingWand * |  | ) |

WandExport FillRule DrawGetFillRule | ( | const DrawingWand * |  | ) |

WandExport char* * * DrawGetFont | ( | const DrawingWand * |  | ) |

WandExport char* * * * DrawGetFontFamily | ( | const DrawingWand * |  | ) |

WandExport double DrawGetFontSize | ( | const DrawingWand * |  | ) |

WandExport StretchType DrawGetFontStretch | ( | const DrawingWand * |  | ) |

WandExport StyleType DrawGetFontStyle | ( | const DrawingWand * |  | ) |

WandExport unsigned long DrawGetFontWeight | ( | const DrawingWand * |  | ) |

WandExport GravityType DrawGetGravity | ( | const DrawingWand * |  | ) |

WandExport MagickBooleanType DrawGetStrokeAntialias | ( | const DrawingWand * |  | ) |

WandExport void DrawGetStrokeColor | ( | const DrawingWand * | ,
|  | PixelWand * |  |
| ) |  |  |

WandExport double * DrawGetStrokeDashArray | ( | const DrawingWand * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport double * DrawGetStrokeDashOffset | ( | const DrawingWand * |  | ) |

WandExport LineCap DrawGetStrokeLineCap | ( | const DrawingWand * |  | ) |

WandExport LineJoin DrawGetStrokeLineJoin | ( | const DrawingWand * |  | ) |

WandExport unsigned long DrawGetStrokeMiterLimit | ( | const DrawingWand * |  | ) |

WandExport double * DrawGetStrokeOpacity | ( | const DrawingWand * |  | ) |

WandExport double * DrawGetStrokeWidth | ( | const DrawingWand * |  | ) |

WandExport AlignType DrawGetTextAlignment | ( | const DrawingWand * |  | ) |

WandExport MagickBooleanType DrawGetTextAntialias | ( | const DrawingWand * |  | ) |

WandExport DecorationType DrawGetTextDecoration | ( | const DrawingWand * |  | ) |

WandExport char* * * * * DrawGetTextEncoding | ( | const DrawingWand * |  | ) |

WandExport void DrawGetTextUnderColor | ( | const DrawingWand * | ,
|  | PixelWand * |  |
| ) |  |  |

WandExport char* * * * * * DrawGetVectorGraphics | ( | DrawingWand * |  | ) |

WandExport void DrawLine | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawMatte | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | PaintMethod |
| ) |  |  |

WandExport void DrawPathClose | ( | DrawingWand * |  | ) |

WandExport void DrawPathCurveToAbsolute | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathCurveToQuadraticBezierAbsolute | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathCurveToQuadraticBezierRelative | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathCurveToQuadraticBezierSmoothAbsolute | ( | DrawingWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathCurveToQuadraticBezierSmoothRelative | ( | DrawingWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathCurveToRelative | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathCurveToSmoothAbsolute | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathCurveToSmoothRelative | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathEllipticArcAbsolute | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | MagickBooleanType,
|  | const | MagickBooleanType,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathEllipticArcRelative | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | MagickBooleanType,
|  | const | MagickBooleanType,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathFinish | ( | DrawingWand * |  | ) |

WandExport void DrawPathLineToAbsolute | ( | DrawingWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathLineToHorizontalAbsolute | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport void DrawPathLineToHorizontalRelative | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport void DrawPathLineToRelative | ( | DrawingWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathLineToVerticalAbsolute | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport void DrawPathLineToVerticalRelative | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport void DrawPathMoveToAbsolute | ( | DrawingWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathMoveToRelative | ( | DrawingWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPathStart | ( | DrawingWand * |  | ) |

WandExport void DrawPoint | ( | DrawingWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawPolygon | ( | DrawingWand * | ,
|  | const unsigned long | ,
|  | const PointInfo * |  |
| ) |  |  |

WandExport void DrawPolyline | ( | DrawingWand * | ,
|  | const unsigned long | ,
|  | const PointInfo * |  |
| ) |  |  |

WandExport void DrawPopClipPath | ( | DrawingWand * |  | ) |

WandExport void DrawPopDefs | ( | DrawingWand * |  | ) |

WandExport MagickBooleanType DrawPopPattern | ( | DrawingWand * |  | ) |

WandExport void DrawPushClipPath | ( | DrawingWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport void DrawPushDefs | ( | DrawingWand * |  | ) |

WandExport MagickBooleanType DrawPushPattern | ( | DrawingWand * | ,
|  | const char * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void DrawRectangle | ( | DrawingWand * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport MagickBooleanType DrawRender | ( | DrawingWand * |  | ) |

WandExport void DrawResetVectorGraphics | ( | DrawingWand * |  | ) |

WandExport void DrawRotate | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport void DrawRoundRectangle | ( | DrawingWand * | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double |  |
| ) |  |  |

WandExport void DrawScale | ( | DrawingWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport MagickBooleanType DrawSetClipPath | ( | DrawingWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport void DrawSetClipRule | ( | DrawingWand * | ,
|  | const | FillRule |
| ) |  |  |

WandExport void DrawSetClipUnits | ( | DrawingWand * | ,
|  | const | ClipPathUnits |
| ) |  |  |

WandExport void DrawSetFillColor | ( | DrawingWand * | ,
|  | const PixelWand * |  |
| ) |  |  |

WandExport void DrawSetFillOpacity | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport MagickBooleanType DrawSetFillPatternURL | ( | DrawingWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport void DrawSetFillRule | ( | DrawingWand * | ,
|  | const | FillRule |
| ) |  |  |

WandExport MagickBooleanType DrawSetFont | ( | DrawingWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType DrawSetFontFamily | ( | DrawingWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport void DrawSetFontSize | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport void DrawSetFontStretch | ( | DrawingWand * | ,
|  | const | StretchType |
| ) |  |  |

WandExport void DrawSetFontStyle | ( | DrawingWand * | ,
|  | const | StyleType |
| ) |  |  |

WandExport void DrawSetFontWeight | ( | DrawingWand * | ,
|  | const unsigned long |  |
| ) |  |  |

WandExport void DrawSetGravity | ( | DrawingWand * | ,
|  | const | GravityType |
| ) |  |  |

WandExport void DrawSetStrokeAntialias | ( | DrawingWand * | ,
|  | const | MagickBooleanType |
| ) |  |  |

WandExport void DrawSetStrokeColor | ( | DrawingWand * | ,
|  | const PixelWand * |  |
| ) |  |  |

WandExport MagickBooleanType DrawSetStrokeDashArray | ( | DrawingWand * | ,
|  | const unsigned long | ,
|  | const double * |  |
| ) |  |  |

WandExport void DrawSetStrokeDashOffset | ( | DrawingWand * | ,
|  | const double | dashoffset |
| ) |  |  |

WandExport void DrawSetStrokeLineCap | ( | DrawingWand * | ,
|  | const | LineCap |
| ) |  |  |

WandExport void DrawSetStrokeLineJoin | ( | DrawingWand * | ,
|  | const | LineJoin |
| ) |  |  |

WandExport void DrawSetStrokeMiterLimit | ( | DrawingWand * | ,
|  | const unsigned long |  |
| ) |  |  |

WandExport void DrawSetStrokeOpacity | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport MagickBooleanType DrawSetStrokePatternURL | ( | DrawingWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport void DrawSetStrokeWidth | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport void DrawSetTextAlignment | ( | DrawingWand * | ,
|  | const | AlignType |
| ) |  |  |

WandExport void DrawSetTextAntialias | ( | DrawingWand * | ,
|  | const | MagickBooleanType |
| ) |  |  |

WandExport void DrawSetTextDecoration | ( | DrawingWand * | ,
|  | const | DecorationType |
| ) |  |  |

WandExport void DrawSetTextEncoding | ( | DrawingWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport void DrawSetTextUnderColor | ( | DrawingWand * | ,
|  | const PixelWand * |  |
| ) |  |  |

WandExport MagickBooleanType DrawSetVectorGraphics | ( | DrawingWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport void DrawSetViewbox | ( | DrawingWand * | ,
|  | unsigned long | ,
|  | unsigned long | ,
|  | unsigned long | ,
|  | unsigned long |  |
| ) |  |  |

WandExport void DrawSkewX | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport void DrawSkewY | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport void DrawTranslate | ( | DrawingWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport MagickBooleanType IsDrawingWand | ( | const DrawingWand * |  | ) |

WandExport DrawingWand* * * * NewDrawingWand | ( | void |  | ) |

WandExport DrawInfo* PeekDrawingWand | ( | const DrawingWand * |  | ) |

WandExport MagickBooleanType PopDrawingWand | ( | DrawingWand * |  | ) |

WandExport MagickBooleanType PushDrawingWand | ( | DrawingWand * |  | ) |